# Version 6.1 2017-02-23

# LanguageHandler added by Mario Chabot 2016. www.formation-sketchup.quebec
#=============================================================================
module SLB_JWMPlugins
  module AngularDim
    # used by the Command below to get a new instance of the Tool
    def self.draw_angle_dim_tool
      Sketchup.active_model.select_tool SLB_JWMPlugins::AngularDim::DrawAngleDimTool.new
    end

    def self.menu_commands
      [@cmd, @cmd2, @cmd3]
    end

    def self.toolbar
      @toolbar
    end

    if !file_loaded?(__FILE__)
      logic_file = File.join(EXTPATH, 'drawAngleDim_logic.rb')
      require logic_file

      @cmd = UI::Command.new((DangLH['Draw'])) {
        SLB_JWMPlugins::AngularDim::draw_angle_dim_tool
      }
      @cmd.menu_text = (DangLH['Draw'])
      @cmd.tooltip = DangLH['Angular Dimension']

      @cmd2 = UI::Command.new(DangLH['Settings']) {
        SLB_JWMPlugins::AngularDim::DrawAngleDimTool.launch_input_dialog
      }
      @cmd2.menu_text = DangLH['Settings']
      @cmd2.tooltip = DangLH['Angular Dimension Settings']

      @cmd3 = UI::Command.new(DangLH['Choose Language']) {
        SLB_JWMPlugins::AngularDim::DrawAngleDimTool.choose_language
      }
      @cmd3.menu_text = DangLH['Choose Language']

      if(Sketchup.version.to_i >= 16)
        if(RUBY_PLATFORM =~ /darwin/)
          @cmd.small_icon = "Images/button.pdf"
          @cmd.large_icon = "Images/button.pdf"
          @cmd2.small_icon = "Images/settings.pdf"
          @cmd2.large_icon = "Images/settings.pdf"
        else
          @cmd.small_icon = "Images/button.svg"
          @cmd.large_icon = "Images/button.svg"
          @cmd2.small_icon = "Images/settings.svg"
          @cmd2.large_icon = "Images/settings.svg"
        end
      else
        @cmd.small_icon = "Images/ad16.png"
        @cmd.large_icon = "Images/ad24.png"
        @cmd2.small_icon = "Images/settings16.png"
        @cmd2.large_icon = "Images/settings24.png"
      end

      # TODO: provide separate texts for submenu and draw command.  Requires editing the
      # strings translation file for DangLH
      submenu = UI.menu("Tools").add_submenu DangLH['Angular Dimension 2']
      submenu.add_item @cmd
      submenu.add_item @cmd2
      submenu.add_item @cmd3

      @toolbar = UI::Toolbar.new((DangLH['Angular Dimension 2']))
      toolbar.add_item(@cmd)
      toolbar.add_item(@cmd2)
      toolbar.restore if toolbar.get_last_state==1
    end
    #-----------------------------------------------------------------------------
    file_loaded(__FILE__)
  end # AngularDim
end # SLB_JWMPlugins
